Bug 242428 - with installed gparted: automount wont work
with installed gparted: automount wont work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 06:19 EDT by Klaus Möllenhoff
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-05 12:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus Möllenhoff 2007-06-04 06:19:23 EDT
hi
i updated my fc6 to f7 and when i attach my usb harddisk it will not been
automounted until i remove gparted. i think its the same like bug 215657 but it
is closed.

with gparted installed my usb harddisk is not automounted.
when i remove gparted everything works.

dmesg output before removing gparted:

usb 5-5: new high speed USB device using ehci_hcd and address 4
usb 5-5: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi2 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device scan complete
scsi 2:0:0:0: Direct-Access SEAGATE ST3250823A 3.03 PQ: 0 ANSI: 2
SCSI device sdb: 488397168 512-byte hdwr sectors (250059 MB)
sdb: Write Protect is off
sdb: Mode Sense: 53 00 00 08
sdb: assuming drive cache: write through
SCSI device sdb: 488397168 512-byte hdwr sectors (250059 MB)
sdb: Write Protect is off
sdb: Mode Sense: 53 00 00 08
sdb: assuming drive cache: write through
sdb: sdb1
sd 2:0:0:0: Attached scsi disk sdb
sd 2:0:0:0: Attached scsi generic sg2 type 0 

and output von lsusb

Bus 004 Device 001: ID 0000:0000
Bus 005 Device 004: ID 059f:0651 LaCie, Ltd
Bus 005 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 003: ID 06a2:0033 Topro Technology, Inc.
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000 

mounting manually works fine..
Comment 1 David Cantrell 2007-06-05 11:22:48 EDT
gparted was in Fedora Extras before the merge.  The bug component lists have not
been merged yet, so if you report something and it's not in the Fedora Core
list, look in Fedora Extras.
Comment 2 Deji Akingunola 2007-06-05 11:51:04 EDT
Hi Klaus,

Can you check that you don't have the file
'/usr/share/hal/fdi/policy/gparted-disable-automount.fdi' on your system after
the upgrade; if you do, please remove it and you should be fine.
However in the absence of that file, it is a 'feature' of gparted to disable
auto-mounting while it is running (to prevent possible data corruption). So
having gparted installed, but not running should not prevent your sbd drive from
auto-mounting, can you please confirm that?
Comment 3 Klaus Möllenhoff 2007-06-05 11:54:51 EDT
Hi

I removed gparted with
yum remove gparted 
and reinstalled it with yum and everything were fine. i don't have the file but
i don't know if it was there before i removed gparted.
no i'm not able to reconstruct the bug...
Comment 4 Deji Akingunola 2007-06-05 12:01:00 EDT
(In reply to comment #3)

> no i'm not able to reconstruct the bug...

Good to know.

Note You need to log in before you can comment on or make changes to this bug.